Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchDhcpServerPolicy({
networkId: "string",
});
export const merakiNetworksSwitchDhcpServerPolicyExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_dhcp_server_policy(network_id="string")
pulumi.export("merakiNetworksSwitchDhcpServerPolicyExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchDhcpServerPolicy(ctx, &networks.LookupSwitchDhcpServerPolicyArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchDhcpServerPolicyExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchDhcpServerPolicy.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchDhcpServerPolicyExample"] = example.Apply(getSwitchDhcpServerPolicyResult => getSwitchDhcpServerPolicyResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchDhcpServerPolicyArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchDhcpServerPolicy(GetSwitchDhcpServerPolicyArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchDhcpServerPolicyExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchDhcpServerPolicy
arguments:
networkId: string
outputs:
merakiNetworksSwitchDhcpServerPolicyExample: ${example.item}
Using getSwitchDhcpServerPolicy
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchDhcpServerPolicy(args: GetSwitchDhcpServerPolicyArgs, opts?: InvokeOptions): Promise<GetSwitchDhcpServerPolicyResult>
function getSwitchDhcpServerPolicyOutput(args: GetSwitchDhcpServerPolicyOutputArgs, opts?: InvokeOptions): Output<GetSwitchDhcpServerPolicyResult>def get_switch_dhcp_server_policy(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchDhcpServerPolicyResult
def get_switch_dhcp_server_policy_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchDhcpServerPolicyResult]func LookupSwitchDhcpServerPolicy(ctx *Context, args *LookupSwitchDhcpServerPolicyArgs, opts ...InvokeOption) (*LookupSwitchDhcpServerPolicyResult, error)
func LookupSwitchDhcpServerPolicyOutput(ctx *Context, args *LookupSwitchDhcpServerPolicyOutputArgs, opts ...InvokeOption) LookupSwitchDhcpServerPolicyResultOutput> Note: This function is named LookupSwitchDhcpServerPolicy in the Go SDK.
public static class GetSwitchDhcpServerPolicy
{
public static Task<GetSwitchDhcpServerPolicyResult> InvokeAsync(GetSwitchDhcpServerPolicyArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchDhcpServerPolicyResult> Invoke(GetSwitchDhcpServerPolicyInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchDhcpServerPolicyResult> getSwitchDhcpServerPolicy(GetSwitchDhcpServerPolicyArgs args, InvokeOptions options)
public static Output<GetSwitchDhcpServerPolicyResult> getSwitchDhcpServerPolicy(GetSwitchDhcpServerPolicyArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchDhcpServerPolicy:getSwitchDhcpServerPolicy
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchDhcpServerPolicy Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Dhcp Server Policy Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Dhcp Server Policy Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Dhcp Server Policy Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Dhcp Server Policy Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Dhcp Server Policy Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchDhcpServerPolicyItem
- Alerts
Get
Switch Dhcp Server Policy Item Alerts - Email alert settings for DHCP servers
- Allowed
Servers List<string> - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- Arp
Inspection GetSwitch Dhcp Server Policy Item Arp Inspection - Dynamic ARP Inspection settings
- Blocked
Servers List<string> - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- Default
Policy string - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
- Alerts
Get
Switch Dhcp Server Policy Item Alerts - Email alert settings for DHCP servers
- Allowed
Servers []string - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- Arp
Inspection GetSwitch Dhcp Server Policy Item Arp Inspection - Dynamic ARP Inspection settings
- Blocked
Servers []string - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- Default
Policy string - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
- alerts
Get
Switch Dhcp Server Policy Item Alerts - Email alert settings for DHCP servers
- allowed
Servers List<String> - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- arp
Inspection GetSwitch Dhcp Server Policy Item Arp Inspection - Dynamic ARP Inspection settings
- blocked
Servers List<String> - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- default
Policy String - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
- alerts
Get
Switch Dhcp Server Policy Item Alerts - Email alert settings for DHCP servers
- allowed
Servers string[] - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- arp
Inspection GetSwitch Dhcp Server Policy Item Arp Inspection - Dynamic ARP Inspection settings
- blocked
Servers string[] - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- default
Policy string - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
- alerts
Get
Switch Dhcp Server Policy Item Alerts - Email alert settings for DHCP servers
- allowed_
servers Sequence[str] - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- arp_
inspection GetSwitch Dhcp Server Policy Item Arp Inspection - Dynamic ARP Inspection settings
- blocked_
servers Sequence[str] - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- default_
policy str - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
- alerts Property Map
- Email alert settings for DHCP servers
- allowed
Servers List<String> - List the MAC addresses of DHCP servers to permit on the network when defaultPolicy is set to block.An empty array will clear the entries.
- arp
Inspection Property Map - Dynamic ARP Inspection settings
- blocked
Servers List<String> - List the MAC addresses of DHCP servers to block on the network when defaultPolicy is set to allow.An empty array will clear the entries.
- default
Policy String - 'allow' or 'block' new DHCP servers. Default value is 'allow'.
GetSwitchDhcpServerPolicyItemAlerts
- Email
Get
Switch Dhcp Server Policy Item Alerts Email - Alert settings for DHCP servers
- Email
Get
Switch Dhcp Server Policy Item Alerts Email - Alert settings for DHCP servers
- email
Get
Switch Dhcp Server Policy Item Alerts Email - Alert settings for DHCP servers
- email
Get
Switch Dhcp Server Policy Item Alerts Email - Alert settings for DHCP servers
- email
Get
Switch Dhcp Server Policy Item Alerts Email - Alert settings for DHCP servers
- email Property Map
- Alert settings for DHCP servers
GetSwitchDhcpServerPolicyItemAlertsEmail
- Enabled bool
- When enabled, send an email if a new DHCP server is seen. Default value is false.
- Enabled bool
- When enabled, send an email if a new DHCP server is seen. Default value is false.
- enabled Boolean
- When enabled, send an email if a new DHCP server is seen. Default value is false.
- enabled boolean
- When enabled, send an email if a new DHCP server is seen. Default value is false.
- enabled bool
- When enabled, send an email if a new DHCP server is seen. Default value is false.
- enabled Boolean
- When enabled, send an email if a new DHCP server is seen. Default value is false.
GetSwitchDhcpServerPolicyItemArpInspection
- Enabled bool
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- Unsupported
Models List<string> - List of switch models that does not support dynamic ARP inspection
- Enabled bool
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- Unsupported
Models []string - List of switch models that does not support dynamic ARP inspection
- enabled Boolean
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- unsupported
Models List<String> - List of switch models that does not support dynamic ARP inspection
- enabled boolean
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- unsupported
Models string[] - List of switch models that does not support dynamic ARP inspection
- enabled bool
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- unsupported_
models Sequence[str] - List of switch models that does not support dynamic ARP inspection
- enabled Boolean
- Enable or disable Dynamic ARP Inspection on the network. Default value is false.
- unsupported
Models List<String> - List of switch models that does not support dynamic ARP inspection
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
